/*
 * jQuery navShow Plugin
 * https://github.com/JeremyWeisCode/jquery-navShow
 * Copyright (c) 2017 Jeremy Wei (https://www.starcweb.cc/jquery-navShow)
 * Dual licensed under the MIT and GPL licenses.
 * Uses the same license as jQuery, see:
 * http://jquery.org/license
 *
 * @version 0.0.1
 *
 * Example usage:
 * $('#nav').navShow(h);
 */
//闭包限定命名空间
(function($) {
     $.fn.navShow = function (f,e,h) {
          var self = this;   //定义scroll内函数的变量
          $(window).scroll(function () {
               var scrollY = $(document).scrollTop();

               if (scrollY <= h) {
                 return self.css({background:f});
               }
               else if (scrollY >= h) {
                 return self.css({background:e});
               }
               })
               return this;//回调
         }
  })(jQuery);
